Uploaded image for project: 'Infrastructure'
  1. Infrastructure
  2. INFRA-250

Suppress matrix-project 1.4.1 from update center

    Details

    • Similar Issues:

      Description

      This release needed to be cut for inclusion in upcoming core updates, but it should not be offered to people running existing core releases.

        Attachments

          Activity

          jglick Jesse Glick created issue -
          Hide
          scm_issue_link SCM/JIRA link daemon added a comment -

          Code changed in jenkins
          User: Kohsuke Kawaguchi
          Path:
          src/main/resources/artifact-ignores.properties
          http://jenkins-ci.org/commit/backend-update-center2/ef255e6c80abcd5865d647f7362c26750c7b41aa
          Log:
          INFRA-250

          Excluding matrix-project 1.4.1

          Compare: https://github.com/jenkinsci/backend-update-center2/compare/f814393a9092...ef255e6c80ab

          Show
          scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Kohsuke Kawaguchi Path: src/main/resources/artifact-ignores.properties http://jenkins-ci.org/commit/backend-update-center2/ef255e6c80abcd5865d647f7362c26750c7b41aa Log: INFRA-250 Excluding matrix-project 1.4.1 Compare: https://github.com/jenkinsci/backend-update-center2/compare/f814393a9092...ef255e6c80ab
          Hide
          scm_issue_link SCM/JIRA link daemon added a comment -

          Code changed in jenkins
          User: Jesse Glick
          Path:
          pom.xml
          http://jenkins-ci.org/commit/matrix-project-plugin/18922f2fc5647c8b5b1001af59ee4bac7998b030
          Log:
          INFRA-250 1.5 cannot be released to pre-1.600 cores.

          Show
          scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Jesse Glick Path: pom.xml http://jenkins-ci.org/commit/matrix-project-plugin/18922f2fc5647c8b5b1001af59ee4bac7998b030 Log: INFRA-250 1.5 cannot be released to pre-1.600 cores.
          Hide
          scm_issue_link SCM/JIRA link daemon added a comment -

          Code changed in jenkins
          User: Kohsuke Kawaguchi
          Path:
          src/main/resources/artifact-ignores.properties
          http://jenkins-ci.org/commit/backend-update-center2/d3dbcd5a18fb0e89b3879309cb69cf3905c81e9e
          Log:
          INFRA-250

          This change is permanent.

          Show
          scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Kohsuke Kawaguchi Path: src/main/resources/artifact-ignores.properties http://jenkins-ci.org/commit/backend-update-center2/d3dbcd5a18fb0e89b3879309cb69cf3905c81e9e Log: INFRA-250 This change is permanent.
          Hide
          jglick Jesse Glick added a comment -

          infra_update_center_v3 #704 should publish the change.

          Show
          jglick Jesse Glick added a comment - infra_update_center_v3 #704 should publish the change.
          Hide
          scm_issue_link SCM/JIRA link daemon added a comment -

          Code changed in jenkins
          User: Jesse Glick
          Path:
          src/main/resources/artifact-ignores.properties
          http://jenkins-ci.org/commit/backend-update-center2/60625b40d6feb14e3006d62a1eaec0b0a6c5b724
          Log:
          INFRA-250 Also excluding 1.2.1.

          Show
          scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Jesse Glick Path: src/main/resources/artifact-ignores.properties http://jenkins-ci.org/commit/backend-update-center2/60625b40d6feb14e3006d62a1eaec0b0a6c5b724 Log: INFRA-250 Also excluding 1.2.1.
          Hide
          jeremym Jeremy Marshall added a comment -

          I pushed my (new) matrix-groovy-execution-strategy yesterday, which depends on matrix-project 1.4.1 for a cosmetic fix. Probably a good idea to make sure people can't download it and get the matrix project as a dependency

          Show
          jeremym Jeremy Marshall added a comment - I pushed my (new) matrix-groovy-execution-strategy yesterday, which depends on matrix-project 1.4.1 for a cosmetic fix. Probably a good idea to make sure people can't download it and get the matrix project as a dependency
          Hide
          danielbeck Daniel Beck added a comment -

          Jeremy Marshall Why? IIUC you depend on 1.600 anyway, so nobody with lower Jenkins should get it offered: https://github.com/jenkinsci/matrix-groovy-execution-strategy-plugin/blob/master/build.gradle#L55

          (And if they install it, it's their problem. It even says it's incompatible.)

          Show
          danielbeck Daniel Beck added a comment - Jeremy Marshall Why? IIUC you depend on 1.600 anyway, so nobody with lower Jenkins should get it offered: https://github.com/jenkinsci/matrix-groovy-execution-strategy-plugin/blob/master/build.gradle#L55 (And if they install it, it's their problem. It even says it's incompatible.)
          Hide
          danielbeck Daniel Beck added a comment -

          Kohsuke Kawaguchi Is this not resolved?

          Show
          danielbeck Daniel Beck added a comment - Kohsuke Kawaguchi Is this not resolved?
          Hide
          kohsuke Kohsuke Kawaguchi added a comment -

          This was fixed when the change made it into the backend-update-center2 module.

          Show
          kohsuke Kohsuke Kawaguchi added a comment - This was fixed when the change made it into the backend-update-center2 module.
          kohsuke Kohsuke Kawaguchi made changes -
          Field Original Value New Value
          Status Open [ 1 ] Resolved [ 5 ]
          Resolution Fixed [ 1 ]
          Hide
          jglick Jesse Glick added a comment -

          Jeremy Marshall

          depends on matrix-project 1.4.1 for a cosmetic fix

          Use 1.4 as the dependency. 1.4.1 is solely for the security fix.

          Show
          jglick Jesse Glick added a comment - Jeremy Marshall depends on matrix-project 1.4.1 for a cosmetic fix Use 1.4 as the dependency. 1.4.1 is solely for the security fix.
          Hide
          jeremym Jeremy Marshall added a comment -

          Jesse Glick

          I need this (cosmetic) fix for swapping execution strategies https://github.com/jenkinsci/matrix-project-plugin/pull/9

          Without it the UI doesn't display properly when swapping strategies the first time in

          Show
          jeremym Jeremy Marshall added a comment - Jesse Glick I need this (cosmetic) fix for swapping execution strategies https://github.com/jenkinsci/matrix-project-plugin/pull/9 Without it the UI doesn't display properly when swapping strategies the first time in
          Hide
          jglick Jesse Glick added a comment -

          Jeremy Marshall but that is not in 1.4.1 anyway. 1.4.1 is just 1.4 plus SECURITY-125. 1.5 has not even been released.

          Show
          jglick Jesse Glick added a comment - Jeremy Marshall but that is not in 1.4.1 anyway. 1.4.1 is just 1.4 plus SECURITY-125. 1.5 has not even been released.
          Hide
          jeremym Jeremy Marshall added a comment -

          Fair enough. I assumed that as my PR had been integrated into master then it was in the release. I'll wait for the 1.5 release then.

          Show
          jeremym Jeremy Marshall added a comment - Fair enough. I assumed that as my PR had been integrated into master then it was in the release. I'll wait for the 1.5 release then.

            People

            • Assignee:
              kohsuke Kohsuke Kawaguchi
              Reporter:
              jglick Jesse Glick
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: